%define _name gtk-xfce-engine

%define gtk_ver 2.14.0
%define gtk_binary_ver 2.10.0

Name: gtk2-themes-xfce4
Summary: Port of xfce engine to GTK+-2.0
Summary (ru): Стандартный модуль прорисовки GTK 2 для рабочего стола Xfce
Version: 2.8.1
Release: alt1
License: %gpl2plus
Url: http://www.xfce.org/
Source: %_name-%version.tar
Group: Graphical desktop/XFce
Packager: XFCE Team <xfce@packages.altlinux.org>

BuildRequires(pre): rpm-build-licenses

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libICE-devel libXt-devel xorg-cf-files
BuildRequires: libgtk+2-devel >= %gtk_ver

Obsoletes: gtk-engines-xfce < 2.8.1
Provides: gtk-engines-xfce
Obsoletes: libgtk-engines-xfce4 < 2.8.1
Provides: libgtk-engines-xfce4

%description
This package contains Xfce theme engine for GTK+2 and several themes
that use this engine. In particular the Funklor theme by Michael Pearce
modified to use the Xfce engine and another theme that looks vaguely
like the system from Redmond.

%description -l ru
Данный пакет содержит в себе модуль прорисовки для GTK 2 и несколько
тем использующих этот модуль. В частности, в набор вкючена тема
Funklor от Michael Pearce переработанная для использования с Xfce,
а так же несколько тем напоминающих темы производителя операционных
систем и Редмонда.

%prep
%setup -n %_name-%version

%build
%xfce4reconf
%configure --disable-static
%make_build

%install
%makeinstall_std

%files
%exclude %_libdir/gtk-2.0/%gtk_binary_ver/engines/*.la
%_libdir/gtk-2.0/%gtk_binary_ver/engines/*.so
%_datadir/themes/*
%doc AUTHORS ChangeLog

%changelog
* Wed Mar 09 2011 Mikhail Efremov <sem@altlinux.org> 2.8.1-alt1
- Rename package (closes: #11695).
- Updated to 2.8.1.

* Wed Jan 19 2011 Mikhail Efremov <sem@altlinux.org> 2.8.0-alt1
- Fix license.
- rename spec.
- Spec cleanup.
- Updated to 2.8.0.

* Wed Apr 29 2009 Denis Koryavov <dkoryavov@altlinux.org> 2.6.0-alt2
- Technical update for easy upgrade from Desktop 5.0

* Tue Apr 28 2009 Denis Koryavov <dkoryavov@altlinux.org> 2.6.0-alt1.M50.1
- Backport to Desktop 5.0

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 2.6.0-alt1
Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 2.5.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 2.5.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 2.5.91-alt1
- Xfce 4.6 beta1

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 2.4.2-alt1
- Xfce 4.4.2 release

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 2.4.1-alt1
- Xfce 4.4.1 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 2.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.3.99.2-alt1
- new version

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.3.99.1-alt1
- new version

* Fri Apr 28 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.3.90.1-alt0.1
- new version

* Fri Sep 02 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.2.1-alt1
- New upstream version.

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2.4
- rebuild against gtk-2.4.0.

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1.4
- new version.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- First build for Sisyphus.
